Functions
Port Configuration
Peripheral Driver » LL Driver » MSIO » Functions

## Functions
__STATIC_INLINE void | ll_msio_set_pin_direction (msio_pad_t MSIOx, uint32_t pin_mask, uint32_t direction)
| Set several MSIO pins to input/output direction. More...
__STATIC_INLINE uint32_t | ll_msio_get_pin_direction (msio_pad_t MSIOx, uint32_t pin)
| Return gpio direction for a MSIO pin. More...
__STATIC_INLINE void | ll_msio_set_pin_mode (msio_pad_t MSIOx, uint32_t pin_mask, uint32_t mode)
| Set several MSIO pins to analog/digital mode. More...
__STATIC_INLINE uint32_t | ll_msio_get_pin_mode (msio_pad_t MSIOx, uint32_t pin)
| Return gpio mode for a MSIO pin. More...
__STATIC_INLINE void | ll_msio_set_pin_input_type (msio_pad_t MSIOx, uint32_t pin_mask, uint32_t type)
| Set several MSIO pins input type. More...
__STATIC_INLINE uint32_t | ll_msio_get_pin_input_type (msio_pad_t MSIOx, uint32_t pin)
| Return input type for a MSIO pin. More...
__STATIC_INLINE void | ll_msio_set_pin_pull (msio_pad_t MSIOx, uint32_t pin_mask, uint32_t pull)
| Configure gpio pull-up or pull-down for a dedicated MSIO pin. More...
__STATIC_INLINE uint32_t | ll_msio_get_pin_pull (msio_pad_t MSIOx, uint32_t pin)
| Return gpio pull-up or pull-down for a dedicated MSIO pin. More...
__STATIC_INLINE void | ll_msio_set_pin_mux (msio_pad_t MSIOx, uint32_t pin, uint32_t mux)
| Configure gpio pinmux number of a dedicated pin from 0 to 9 for a dedicated port. More...
__STATIC_INLINE uint32_t | ll_msio_get_pin_mux (msio_pad_t MSIOx, uint32_t pin)
| Return gpio alternate function of a dedicated pin from 0 to 9 for a dedicated port. More...
__STATIC_INLINE void | ll_msio_set_pin_speed (msio_pad_t MSIOx, uint32_t pin_mask, uint32_t speed)
| Configure gpio pinmux number of a dedicated pin from 0 to 9 for a dedicated port. More...
__STATIC_INLINE uint32_t | ll_msio_get_pin_speed (msio_pad_t MSIOx, uint32_t pin)
| Return gpio alternate function of a dedicated pin from 0 to 9 for a dedicated port. More...
__STATIC_INLINE void | ll_msio_set_pin_strength (msio_pad_t MSIOx, uint32_t pin_mask, uint32_t strength)
| Configure gpio pinmux number of a dedicated pin from 0 to 9 for a dedicated port. More...
__STATIC_INLINE uint32_t | ll_msio_get_pin_strength (msio_pad_t MSIOx, uint32_t pin_mask)
| Return gpio alternate function of a dedicated pin from 0 to 9 for a dedicated port. More...

## Detailed Description

## Function Documentation

## ◆ ll_msio_get_pin_direction()

__STATIC_INLINE uint32_t ll_msio_get_pin_direction | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin
| ) |  |

Return gpio direction for a MSIO pin.

Note
  I/O direction can be Input direction, General purpose output.
  Warning: only one pin can be passed as parameter.

Register|BitsName --------|-------- MSIO_PAD_CFG_0 | OE MSIO_PAD_CFG_1 | IE

Parameters

  MSIOx | MSIO instance.
  pin | This parameter can be one of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9

Return values

  Returned | value can be one of the following values: LL_MSIO_DIRECTION_NONE LL_MSIO_DIRECTION_INPUT LL_MSIO_DIRECTION_OUTPUT LL_MSIO_DIRECTION_INOUT

Definition at line 351 of file ll_msio.h.

References AON_MSIO, LL_MSIO_INPUT_POS, and LL_MSIO_OUTPUT_POS.

## ◆ ll_msio_get_pin_input_type()

__STATIC_INLINE uint32_t ll_msio_get_pin_input_type | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin
| ) |  |

Return input type for a MSIO pin.

Note
  I/O mode can be analog or digital.
  Warning: only one pin can be passed as parameter.

Register|BitsName --------|-------- MSIO_A_PAD_CFG2 | IS

Parameters

  MSIOx | MSIO instance.
  pin | This parameter can be one of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9

Return values

  Returned | value can be one of the following values: LL_MSIO_INPUT_TYPE_CMOS LL_MSIO_INPUT_TYPE_SCHMITT

Definition at line 487 of file ll_msio.h.

References AON_MSIO, LL_MSIO_INPUT_TYPE_CMOS, and LL_MSIO_INPUT_TYPE_SCHMITT.

## ◆ ll_msio_get_pin_mode()

__STATIC_INLINE uint32_t ll_msio_get_pin_mode | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin
| ) |  |

Return gpio mode for a MSIO pin.

Note
  I/O mode can be analog or digital.
  Warning: only one pin can be passed as parameter.

Register|BitsName --------|-------- MSIO_PAD_CFG_3 | AE

Parameters

  MSIOx | MSIO instance.
  pin | This parameter can be one of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9

Return values

  Returned | value can be one of the following values: LL_MSIO_MODE_ANALOG LL_MSIO_MODE_DIGITAL

Definition at line 424 of file ll_msio.h.

References AON_MSIO, LL_MSIO_MODE_ANALOG, and LL_MSIO_MODE_DIGITAL.

## ◆ ll_msio_get_pin_mux()

__STATIC_INLINE uint32_t ll_msio_get_pin_mux | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin
| ) |  |

Return gpio alternate function of a dedicated pin from 0 to 9 for a dedicated port.

Register|BitsName --------|-------- MSIO_PAD_MUX | MSIO_PAD_MUX MSIO_PAD_CFG_1 | MCU_OVR

Parameters

  MSIOx | MSIO instance.
  pin | This parameter can be one of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9

Return values

  Returned | value can be one of the following values: IO_MUX_GPIO define

Definition at line 635 of file ll_msio.h.

References AON_MSIO, and IO_MUX_GPIO.

## ◆ ll_msio_get_pin_pull()

__STATIC_INLINE uint32_t ll_msio_get_pin_pull | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin
| ) |  |

Return gpio pull-up or pull-down for a dedicated MSIO pin.

Note
  Warning: only one pin can be passed as parameter.

Register|BitsName --------|-------- MSIO_PAD_CFG_1 | PE MSIO_PAD_CFG_1 | PS

Parameters

  MSIOx | MSIO instance.
  pin | This parameter can be one of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9

Return values

  Returned | value can be one of the following values: LL_MSIO_PULL_NO LL_MSIO_PULL_UP LL_MSIO_PULL_DOWN

Definition at line 556 of file ll_msio.h.

References AON_MSIO, LL_MSIO_PULL_DOWN, LL_MSIO_PULL_NO, and LL_MSIO_PULL_UP.

## ◆ ll_msio_get_pin_speed()

__STATIC_INLINE uint32_t ll_msio_get_pin_speed | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin
| ) |  |

Return gpio alternate function of a dedicated pin from 0 to 9 for a dedicated port.

Register|BitsName --------|-------- MSIO_A_PAD_CFG2 | SR

Parameters

  MSIOx | MSIO instance.
  pin | This parameter can be one of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9

Return values

  Returned | value can be one of the following values: LL_MSIO_SPEED_MEDIUM LL_MSIO_SPEED_HIGH

Definition at line 716 of file ll_msio.h.

References AON_MSIO.

## ◆ ll_msio_get_pin_strength()

__STATIC_INLINE uint32_t ll_msio_get_pin_strength | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin_mask
| ) |  |

Return gpio alternate function of a dedicated pin from 0 to 9 for a dedicated port.

Register|BitsName --------|-------- MSIO_A_PAD_CFG3 | DS0 MSIO_A_PAD_CFG3 | DS1

Parameters

  MSIOx | MSIO instance.
  pin_mask | This parameter can be one of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9

Return values

  Returned | value can be one of the following values: LL_MSIO_STRENGTH_LOW LL_MSIO_STRENGTH_MEDIUM LL_MSIO_STRENGTH_HIGH LL_MSIO_STRENGTH_ULTRA

Definition at line 801 of file ll_msio.h.

References AON_MSIO, LL_MSIO_STRENGTH_DS0_POS, and LL_MSIO_STRENGTH_DS1_POS.

## ◆ ll_msio_set_pin_direction()

__STATIC_INLINE void ll_msio_set_pin_direction | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin_mask,
|  | uint32_t | direction
| ) |  |

Set several MSIO pins to input/output direction.

Register|BitsName --------|-------- MSIO_PAD_CFG_0 | OE MSIO_PAD_CFG_1 | IE

Parameters

  MSIOx | MSIO instance
  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9 LL_MSIO_PIN_ALL
  direction | This parameter can be one of the following values: LL_MSIO_DIRECTION_NONE LL_MSIO_DIRECTION_INPUT LL_MSIO_DIRECTION_OUTPUT LL_MSIO_DIRECTION_INOUT

Return values

  None |

Definition at line 312 of file ll_msio.h.

References AON_MSIO, LL_MSIO_DIRECTION_INOUT, LL_MSIO_DIRECTION_INPUT, and LL_MSIO_DIRECTION_OUTPUT.

## ◆ ll_msio_set_pin_input_type()

__STATIC_INLINE void ll_msio_set_pin_input_type | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin_mask,
|  | uint32_t | type
| ) |  |

Set several MSIO pins input type.

Register|BitsName --------|-------- MSIO_A_PAD_CFG2 | IS

Parameters

  MSIOx | MSIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9 LL_MSIO_PIN_ALL
  type | This parameter can be one of the following values: LL_MSIO_INPUT_TYPE_CMOS LL_MSIO_INPUT_TYPE_SCHMITT

Return values

  None |

Definition at line 456 of file ll_msio.h.

References AON_MSIO, and LL_MSIO_INPUT_TYPE_SCHMITT.

## ◆ ll_msio_set_pin_mode()

__STATIC_INLINE void ll_msio_set_pin_mode | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin_mask,
|  | uint32_t | mode
| ) |  |

Set several MSIO pins to analog/digital mode.

Register|BitsName --------|-------- MSIO_PAD_CFG_3 | AE

Parameters

  MSIOx | MSIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9 LL_MSIO_PIN_ALL
  mode | This parameter can be one of the following values: LL_MSIO_MODE_ANALOG LL_MSIO_MODE_DIGITAL

Return values

  None |

Definition at line 386 of file ll_msio.h.

References AON_MSIO, and LL_MSIO_MODE_ANALOG.

## ◆ ll_msio_set_pin_mux()

__STATIC_INLINE void ll_msio_set_pin_mux | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin,
|  | uint32_t | mux
| ) |  |

Configure gpio pinmux number of a dedicated pin from 0 to 9 for a dedicated port.

Note
  Possible values are from AF0 to AF7 depending on target.
  Warning: only one pin can be passed as parameter.

Register|BitsName --------|-------- MSIO_PAD_MUX | MSIO_PAD_MUX MSIO_PAD_CFG_1 | MCU_OVR

Parameters

  MSIOx | MSIO instance.
  pin | This parameter can be one of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9
  mux | This parameter can be one of the following values: IO_MUX_GPIO define

Return values

  None |

Definition at line 590 of file ll_msio.h.

References AON_MSIO, and IO_MUX_GPIO.

## ◆ ll_msio_set_pin_pull()

__STATIC_INLINE void ll_msio_set_pin_pull | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin_mask,
|  | uint32_t | pull
| ) |  |

Configure gpio pull-up or pull-down for a dedicated MSIO pin.

Register|BitsName --------|-------- MSIO_PAD_CFG_1 | PE MSIO_PAD_CFG_1 | PS

Parameters

  MSIOx | MSIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9 LL_MSIO_PIN_ALL
  pull | This parameter can be one of the following values: LL_MSIO_PULL_NO LL_MSIO_PULL_UP LL_MSIO_PULL_DOWN

Return values

  None |

Definition at line 521 of file ll_msio.h.

References AON_MSIO, LL_MSIO_PULL_NO, and LL_MSIO_PULL_UP.

## ◆ ll_msio_set_pin_speed()

__STATIC_INLINE void ll_msio_set_pin_speed | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin_mask,
|  | uint32_t | speed
| ) |  |

Configure gpio pinmux number of a dedicated pin from 0 to 9 for a dedicated port.

Note
  Possible values are from AF0 to AF7 depending on target.
  Warning: only one pin can be passed as parameter.

Register|BitsName --------|-------- MSIO_A_PAD_CFG2 | SR

Parameters

  MSIOx | MSIO instance.
  pin_mask | This parameter can be one of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9
  speed | This parameter can be one of the following values: LL_MSIO_SPEED_MEDIUM LL_MSIO_SPEED_HIGH

Return values

  None |

Definition at line 681 of file ll_msio.h.

References AON_MSIO.

## ◆ ll_msio_set_pin_strength()

__STATIC_INLINE void ll_msio_set_pin_strength | ( | msio_pad_t | MSIOx,
|  | uint32_t | pin_mask,
|  | uint32_t | strength
| ) |  |

Configure gpio pinmux number of a dedicated pin from 0 to 9 for a dedicated port.

Note
  Possible values are from AF0 to AF7 depending on target.
  Warning: only one pin can be passed as parameter.

Register|BitsName --------|-------- MSIO_A_PAD_CFG3 | DS0 MSIO_A_PAD_CFG3 | DS1

Parameters

  MSIOx | MSIO instance.
  pin_mask | This parameter can be one of the following values: LL_MSIO_PIN_0 LL_MSIO_PIN_1 LL_MSIO_PIN_2 LL_MSIO_PIN_3 LL_MSIO_PIN_4 LL_MSIO_PIN_5 LL_MSIO_PIN_6 LL_MSIO_PIN_7 LL_MSIO_PIN_8 LL_MSIO_PIN_9
  strength | This parameter can be one of the following values: LL_MSIO_STRENGTH_LOW LL_MSIO_STRENGTH_MEDIUM LL_MSIO_STRENGTH_HIGH LL_MSIO_STRENGTH_ULTRA

Return values

  None |

Definition at line 753 of file ll_msio.h.

References AON_MSIO, LL_MSIO_STRENGTH_DS0_MASK, LL_MSIO_STRENGTH_DS0_POS, LL_MSIO_STRENGTH_DS1_MASK, and LL_MSIO_STRENGTH_DS1_POS.